Responses

OpenAI Responses text facade.

01Overview

Converts string or input_text Responses requests to the native OpenAI-compatible relay. Streaming output events are supported; built-in tools and stateful items are not supported.

POST/api/v1/responses
Base URL https://capi.aiAPI version v1Authentication Bearer YOUR_API_TOKEN

02Parameters

NameTypeDescription
model*stringModel ID that supports the Responses API.
input*stringPrompt or structured input items.
streambooleanStream incremental output events.

03Request body

JSON
{
  "model": "gpt-5.6-sol",
  "input": "Draft a migration plan for a Postgres schema change."
}

Example

Responses

cURL
curl -X POST https://capi.ai/api/v1/responses \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.6-sol",
    "input": "Draft a migration plan"
  }'
HTTP 200· OK
{
  "id": "resp_5c81a2",
  "object": "response",
  "model": "gpt-5.6-sol",
  "output": [
    { "type": "message", "role": "assistant", "content": [] }
  ],
  "usage": { "input_tokens": 24, "output_tokens": 402 }
}